package com.philisense.www.service.impl;


import com.philisense.www.dao.ProTableAuthDAO;
import com.philisense.www.service.ProTableAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProTableAuthServiceImpl implements ProTableAuthService {

@Autowired
private ProTableAuthDAO proTableAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proTableAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proTableAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proTableAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proTableAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proTableAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proTableAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proTableAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proTableAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proTableAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proTableAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proTableAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proTableAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proTableAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProTablesByAuthId(Map<String, Object> map) {
        return proTableAuthDAO.getPageProTablesByAuthId(map);
    }

    @Override
    public int getCountProTablesByAuthId(Map<String, Object> map) {
        return proTableAuthDAO.getCountProTablesByAuthId(map);
    }
}